SRC/dzsum1.f(3)

NAME
SRC/dzsum1.f

SYNOPSIS

  Functions/Subroutines
double precision function dzsum1 (n, cx, incx)
DZSUM1 forms the 1-norm of the complex vector using the true absolute value.

Function/Subroutine Documentation

  double precision function dzsum1 (integer n, complex*16, dimension( * ) cx, integer incx)

DZSUM1 forms the 1-norm of the complex vector using the true absolute value.

Purpose:

    !>
    !> DZSUM1 takes the sum of the absolute values of a complex
    !> vector and returns a double precision result.
    !>
    !> Based on DZASUM from the Level 1 BLAS.
    !> The change is to use the 'genuine' absolute value.
    !>

Parameters
    N

    !>          N is INTEGER
    !>          The number of elements in the vector CX.
    !>

    CX

    !>          CX is COMPLEX*16 array, dimension (N)
    !>          The vector whose elements will be summed.
    !>

    INCX

    !>          INCX is INTEGER
    !>          The spacing between successive values of CX.  INCX > 0.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Contributors:
    Nick Higham for use with ZLACON.

Definition at line 80 of file dzsum1.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.